<?php

class Main extends CI_Controller {
	
	public function __construct() {
		parent::__construct();
		$this->load->model('bemutato_model');
		$this->load->helper('url'); //TODO autoloadba rakni
	}
	
	public function index() {
		//$this->load->model('bemutato_model');
		//1. Megy a konstruktorba
		
		$legnepszerubbek = $this->bemutato_model->legnepszerubb_bemutatok();
		$legfrissebbek = $this->bemutato_model->legfrissebb_bemutatok();
		$cimkek = $this->bemutato_model->cimke_felho();
		
		$this->load->view('fooldal', array(
			'legnepszerubbek'	=> $legnepszerubbek,
			'legfrissebbek'		=> $legfrissebbek,
			'cimkek'			=> $cimkek,
		));
	}
	
	public function bemutato($bemutato_id, $sorszam = null) {
		//TODO autentikalatlan user csak publikus bemutatot nezhet
		
		$felhasznalo_id = 1;
		//TODO sessionbol tolteni
		
		//TODO azt, hogy folyamatban van-e egy vetites, sessionben kellene tarolni.
		if (is_null($sorszam)) {
			$this->bemutato_model->megtekintes_novel($bemutato_id);
		}
		$bemutato = $this->bemutato_model->bemutato_adatai($bemutato_id);
		$kepek = $this->bemutato_model->bemutato_kepei($bemutato_id);
		
		if ($kepek) {
			$akt_sorszam = $sorszam ? $sorszam : $kepek[0]['sorszam'];
			$elozo_sorszam = $this->bemutato_model->elozo_kep_sorszam($bemutato_id, $akt_sorszam);
			$kovetkezo_sorszam = $this->bemutato_model->kovetkezo_kep_sorszam($bemutato_id, $akt_sorszam);
			$kep = $this->bemutato_model->kep_adatai_sorszam($bemutato_id, $akt_sorszam);
		}
		
		$kedvenc_e = $this->bemutato_model->kedvenc_e($felhasznalo_id, $bemutato_id);
		
		$this->load->view('bemutato', array(
			'bemutato'	=> $bemutato,
			'kepek' => $kepek,
			'akt_sorszam' => isset($akt_sorszam) ? $akt_sorszam : null,
			'elozo_sorszam' => isset($elozo_sorszam) ? $elozo_sorszam : null,
			'kovetkezo_sorszam' => isset($kovetkezo_sorszam) ? $kovetkezo_sorszam : null,
			'nagy_kep' => isset($kep) ? $kep : null,
			'kedvenc_e' => $kedvenc_e,
			'sorszam'	=> $sorszam,
		));
	}
	
	
	public function cimke($cimke = null) {
		$cimke = urldecode($cimke);
		$cimke_lista = $this->bemutato_model->bemutatok_cimke_szerint($cimke);
		
		$this->load->view('cimke_lista', array(
			'cimke'	=> $cimke,
			'bemutatok'	=> $cimke_lista,
		));
	}

	public function felhasznalo($azonosito = null) {
		$felhasznalo_lista = $this->bemutato_model->bemutatok_felhasznalo_szerint($azonosito);
		
		$this->load->view('felhasznalo_lista', array(
			'azonosito'	=> $azonosito,
			'bemutatok'	=> $felhasznalo_lista,
		));
	}

	public function kep($fajlnev) {
		//TODO csak a publikusakat szabad megengedni, ha nincs bejelentkezve. Ha be van, akkor is csak a sajatjat
		$utvonal = APPPATH . 'fajlok/nagy/' . $fajlnev;
		$f = fopen($utvonal, 'rb');
		fpassthru($f);
	}
	
	public function belyegkep($fajlnev) {
		//TODO csak a publikusakat szabad megengedni, ha nincs bejelentkezve. Ha be van, akkor is csak a sajatjat
		$utvonal = APPPATH . 'fajlok/kicsi/' . $fajlnev;
		$f = fopen($utvonal, 'rb');
		fpassthru($f);
	}
	
	
}