<!DOCTYPE html>
<html>
	<head>
		<title>DYSS</title>
		<meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
		<link type="text/css" href="<?php echo base_url('styles/dyss.css'); ?>" rel="stylesheet" />
		<link type="text/css" href="<?php echo base_url('styles/keplista.css'); ?>" rel="stylesheet" />
	</head>
	<body>
		<header>
			<div>
				<h1><?php echo anchor('main/index', 'DYSS'); ?></h1>
				<p><a href="<?php echo site_url('bemutato/lista/1'); ?>" class="button"><span>gyozke fiókja</span></a></p>
			</div>
		</header>
		<div id="content">
			<aside>
				<nav>
					<ul>
						<li><a href="<?php echo site_url('bemutato/lista/1'); ?>">Bemutatóim</a></li>
						<li><a href="<?php echo site_url('bemutato/?'); ?>">Profilom</a></li>
						<li><a href="<?php echo site_url('bemutato?/?'); ?>">Kilépés</a></li>
					</ul>
				</nav>
			</aside>
			<div id="main_content">
				<div class="title">
					<h2><?php echo $bemutato['cim']; ?></h2>
					<ul>
						<li><a href="<?php echo site_url("bemutato/szerkeszt/{$bemutato_id}"); ?>" class="button"><span>Vissza a bemutatóhoz</span></a></li>
						<li><a href="<?php echo site_url("main/bemutato/{$bemutato_id}"); ?>" class="button"><span>Vetítés</span></a></li>
						<li><a href="<?php echo site_url("bemutato/uj_kep/{$bemutato_id}"); ?>" class="button"><span>Új kép</span></a></li>
					</ul>
					<div class="separator"></div>
				</div>
				<div id="belyegkepek">
					<ul>
						<?php foreach ($kepek as $belyegkep) : ?>
						<li>
							<a href="<?php echo site_url("bemutato/kep_szerkeszt/{$bemutato_id}/{$belyegkep['id']}"); ?>"><img src="<?php echo site_url("main/belyegkep/". basename($belyegkep['belyegkepfajl'])); ?>" /></a>
						</li>
						<?php endforeach; ?>
					</ul>
				</div>
				<div id="inner_content">
					<h3>Kép adatainak szerkesztése</h3>
					<?php if (validation_errors()) : ?>
					<div class="error">
						<ul>
							<?php echo validation_errors('<li>', '</li>'); ?>
						</ul>
					</div>
					<?php endif; ?>
					<?php echo form_open("bemutato/kep_szerkeszt/{$bemutato_id}/{$kep['id']}", array('class' => 'big')); ?>
					<img src="<?php echo site_url("main/belyegkep/". basename($kep['belyegkepfajl'])); ?>" />
						<dl>
							<dt><?php echo form_label('Cím', 'cim'); ?></dt>
							<dd><?php echo form_input(array('name' => 'cim', 'id' => 'cim', 'class' => 'text'), set_value('cim', $kep['cim'])); ?></dd>

							<dt><?php echo form_label('Leírás', 'leiras'); ?></dt>
							<dd><?php echo form_textarea(array('name' => 'leiras', 'id' => 'leiras', 'class' => 'text'), set_value('leiras', $kep['leiras'])); ?></dd>

							<dt><?php echo form_label('Hely', 'hely'); ?></dt>
							<dd><?php echo form_input(array('name' => 'hely', 'id' => 'hely', 'class' => 'text'), set_value('hely', $kep['hely'])); ?></dd>

							<dt><?php echo form_label('Aktív', 'aktiv'); ?></dt>
							<dd><?php echo form_checkbox(array('name' => 'aktiv', 'id' => 'aktiv'), 'aktiv', set_checkbox('aktiv', 'aktiv', $kep['aktiv'])); ?></dd>

							<dt><?php echo form_label('Lat', 'lat'); ?></dt>
							<dd><?php echo form_input(array('name' => 'lat', 'id' => 'lat', 'class' => 'text'), set_value('lat', $kep['lat'])); ?></dd>

							<dt><?php echo form_label('Lng', 'lng'); ?></dt>
							<dd><?php echo form_input(array('name' => 'lng', 'id' => 'lng', 'class' => 'text'), set_value('lng', $kep['lng'])); ?></dd>

							<dd><?php echo form_submit('kep_szerkeszt', 'Kép adatainak módosítása'); ?></dd>
						</dl>
					<?php echo form_close(); ?>
				</div>
				<div class="separator"></div>
			</div>
			<div class="separator"></div>
		</div>
		<footer>&copy; Horváth Győző, Eötvös Loránd Tudományegyetem, Informatika Kar</footer>
	</body>
</html>
