<!DOCTYPE html>
<html>
	<head>
		<title>DYSS</title>
		<meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
		<link type="text/css" href="<?php echo base_url('styles/dyss.css'); ?>" rel="stylesheet" />
		<link type="text/css" href="<?php echo base_url('styles/keplista.css'); ?>" rel="stylesheet" />
	</head>
	<body>
		<header>
			<div>
				<h1><?php echo anchor('main/index', 'DYSS'); ?></h1>
				<p><a href="<?php echo site_url('bemutato/lista/1'); ?>" class="button"><span>gyozke fiókja</span></a></p>
			</div>
		</header>
		<div id="content">
			<aside>
				<nav>
					<ul>
						<li><a href="<?php echo site_url('bemutato/lista/1'); ?>">Bemutatóim</a></li>
						<li><a href="<?php echo site_url('bemutato/?'); ?>">Profilom</a></li>
						<li><a href="<?php echo site_url('bemutato?/?'); ?>">Kilépés</a></li>
					</ul>
				</nav>
			</aside>
			<div id="main_content">
				<div class="title">
					<h2><?php echo $bemutato['cim']; ?></h2>
					<ul>
						<li><a href="<?php echo site_url("main/bemutato/{$bemutato['id']}"); ?>" class="button"><span>Vetítés</span></a></li>
						<li><a href="<?php echo site_url("bemutato/uj_kep/{$bemutato_id}"); ?>" class="button"><span>Új kép</span></a></li>
					</ul>
					<div class="separator"></div>
				</div>
				<div id="adatok">
					<dl>
						<dt>Cím</dt>
						<dd><?php echo $bemutato['cim']; ?></dd>

						<dt>Leírás</dt>
						<dd><?php echo $bemutato['leiras']; ?></dd>

						<dt>Megtekintések száma:</dt>
						<dd><?php echo $bemutato['megtekintes_db']; ?></dd>

						<dt>Kedvencek száma:</dt>
						<dd><?php echo $bemutato['kedvencek_szama']; ?></dd>

						<dt>Létrehozás dátuma:</dt>
						<dd><?php echo $bemutato['letrehozas_datuma']; ?></dd>

						<dt>Publikus:</dt>
						<dd><?php echo $bemutato['publikus'] ? 'Publikus' : 'Nem publikus'; ?></dd>

						<dt>Felhasználó:</dt>
						<dd><?php echo $bemutato['azonosito']; ?></dd>

						<dt>Címkék</dt>
						<dd>
							<ul>
								<?php foreach ($bemutato['cimkek'] as $cimke) : ?>
								<li>
									<?php echo anchor("main/cimke/{$cimke['cimke']}", $cimke['cimke']); ?>
								</li>
								<?php endforeach; ?>
							</ul>
						</dd>
					</dl>
					<a href="<?php echo site_url("bemutato/bemutato_szerkeszt/{$bemutato_id}"); ?>" class="button absolute_bottom_right"><span>Bemutató adatainak szerkesztése</span></a>
				</div>
				<ul class="keplista">
					<?php foreach ($kepek as $kep) : ?>
					<li>
						<a href="<?php echo site_url("bemutato/kep_szerkeszt/{$kep['bemutato_id']}/{$kep['id']}"); ?>"><img src="<?php echo site_url("main/belyegkep/". basename($kep['belyegkepfajl'])); ?>" /></a>
						<div class="funkciok">
							<a href="<?php echo site_url("bemutato/kep_mozgat/{$kep['bemutato_id']}/{$kep['id']}/-1"); ?>" class="elozo"><span>Előre</span></a>
							<a href="<?php echo site_url("bemutato/kep_torol/{$kep['bemutato_id']}/{$kep['id']}"); ?>" class="delete"><span>Töröl</span></a>
							<?php if ($kep['aktiv']) : ?>
							<a href="<?php echo site_url("bemutato/kep_inaktival/{$kep['bemutato_id']}/{$kep['id']}"); ?>" class="active"><span>Inaktivál</span></a>
							<?php else: ?>
							<a href="<?php echo site_url("bemutato/kep_aktival/{$kep['bemutato_id']}/{$kep['id']}"); ?>" class="inactive"><span>Aktivál</span></a>
							<?php endif; ?>
							<a href="<?php echo site_url("bemutato/kep_mozgat/{$kep['bemutato_id']}/{$kep['id']}/1"); ?>" class="kovetkezo"><span>Hátra</span></a>
							<?php echo $kep['cim']; ?>
						</div>
					</li>
					<?php endforeach; ?>
				</ul>
				<div class="separator"></div>
			</div>
			<div class="separator"></div>
		</div>
		<footer>&copy; Horváth Győző, Eötvös Loránd Tudományegyetem, Informatika Kar</footer>
	</body>
</html>
